% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_sites_statistics.R
\name{get_sites_statistics}
\alias{get_sites_statistics}
\title{Calculates the co-occurrence of mutation sites/genes across callers and subjects.}
\usage{
get_sites_statistics(all.sites.methods, type = NULL, filename = NULL,
  ...)
}
\arguments{
\item{all.sites.methods}{data.frame with mutation sites}

\item{type}{Site or Gene}

\item{filename}{string with path, file name, and format for saving an image with results}

\item{...}{Arguments to be passed to methods, such as graphical parameters}
}
\value{
list with the following elements:
\itemize{
\item{var_per_subject: data.frame with the number of SNP and INDEL for each Subject_ID and Tool_ID;}
\item{subjects_per_var: data.frame with the number of Subjects supporting mutation sites;}
\item{tool_per_var: data.framte with the number of tools supporting Subject_Sites;}
}
}
\description{
Calculates the co-occurrence of mutation sites/genes across callers and subjects.
}
