% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/integrate_TCGA.R
\name{integrate_TCGA}
\alias{integrate_TCGA}
\title{Integrate mutation evidence from TCGA}
\usage{
integrate_TCGA(temp_SNP, genome, project, pipeline = NULL,
  file_type = NULL, gene_info = FALSE, filename = NULL,
  exclude_hypermutated = TRUE, ...)
}
\arguments{
\item{temp_SNP}{data.frame produced by pre_process or get_TCGA_sites or site_annotation functions}

\item{genome}{the genome used for annotation (hg38/hg19)}

\item{project}{TCGA project ID}

\item{pipeline}{it is required for hg38 genome}

\item{file_type}{file name reported in tcga biolinks project. Only for hg19 genome}

\item{gene_info}{if it is TRUE the gene info will be reported, it required the entrez_gene_id annotation}

\item{filename}{output image filename}

\item{exclude_hypermutated}{if TRUE hypermutated subjects are excluded}

\item{...}{Arguments passed to jpeg function}
}
\value{
data.frame with mutation sites integrated with TCGA information
}
\description{
Integrate mutation evidence from TCGA
}
